#include <stdio.h>
#include <stdlib.h>
#include <libvirt/libvirt.h>
int main(int argc, char *argv[]){
	virConnectPtr conn;
	virStoragePoolPtr ptrPool;
	virStorageVolPtr ptrVol;
	
	const char *confPool = "<pool type='dir'><name>test-Pool</name><target><path>/var/lib/xen/images</path></target></pool>";
	const char *confVol = "<volume><name>test-Volume.img</name><allocation>5</allocation><capacity unit='G'>1</capacity><target><path>/var/lib/xen/images/test-Volume.img</path></target></volume>";
	
	conn=virConnectOpen("xen:///");
	if(conn == NULL){
		fprintf(stderr, "Failed to open connection to xen:///\n");
		return -1;
	}
	
	ptrPool = virStoragePoolCreateXML(conn,confPool,0);
	if(ptrPool == NULL){
		fprintf(stderr, "Failed to Create Pool\n");
		return -1;
	}

	ptrVol = virStorageVolCreateXML(ptrPool,confVol, 0);
	
	if(ptrVol == NULL){
		fprintf(stderr, "Failed to Create Volume\n");
		return -1;
	}

	fprintf(stderr, "Volume %s has been created\n", virStorageVolGetName(ptrVol));
	
	virConnectClose(conn);
	return 0;
}